{
  "git.closeDiffOnOperation": true,

  "[python]": {
    "editor.formatOnSave": true,
    "editor.defaultFormatter": "charliermarsh.ruff",
    "editor.codeActionsOnSave": {
      "source.organizeImports": "explicit",
      "source.fixAll": "explicit"
    }
  },

  "python.testing.unittestEnabled": false,
  "python.testing.pytestEnabled": true,

  "ty.diagnosticMode": "workspace",
  "ruff.nativeServer": "on"
}
